classification
Title: 3.4 cherry-pick: a63327162063 Mangle __parameters in __annotations__ dict properly
Type: Stage:
Components: Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: larry Nosy List: Arfrever, benjamin.peterson, larry, yselivanov
Priority: release blocker Keywords:

Created on 2014-02-18 18:01 by yselivanov, last changed 2014-02-20 06:34 by larry. This issue is now closed.

Messages (5)
msg211533 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2014-02-18 18:01
Revision: a63327162063

Larry, please consider including this in 3.4.

It's a small bug, that was in python since the time
annotations were introduced. It's a shame that it
was undiscovered for such a long time, and I think
it should absolutely be fixed in 3.4, especially
if taking into account all improvements of 
'inspect.signature()'.

The patch is really small, so it's easily reviewable.
msg211571 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2014-02-19 00:14
And this one:

http://hg.python.org/cpython/rev/5202aca8a673
changeset:   89261:5202aca8a673
user:        Victor Stinner <victor.stinner@gmail.com>
date:        Tue Feb 18 22:07:56 2014 +0100
summary:
  Issue #20625: Fix compilation issue
msg211596 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-02-19 03:24
ok.
msg211672 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2014-02-19 23:07
Also, e301a515f8f4
msg211699 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-02-20 06:34
ok.  if there's more please open a new issue.
History
Date User Action Args
2014-02-20 06:34:38larrysetstatus: open -> closed
resolution: fixed
messages: + msg211699
2014-02-20 04:04:42Arfreversetnosy: + Arfrever
2014-02-19 23:07:30benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg211672
2014-02-19 03:24:12larrysetmessages: + msg211596
2014-02-19 00:14:45yselivanovsetmessages: + msg211571
2014-02-18 18:01:59yselivanovcreate